COMPARE_ETHER_HEADER(9)

NAME
compare_ether_header - Compare two Ethernet headers

SYNOPSIS

unsigned long compare_ether_header(const void * a, const void * b);

ARGUMENTS

a
    Pointer to Ethernet header

b
    Pointer to Ethernet header

DESCRIPTION

Compare two Ethernet headers, returns 0 if equal. This assumes that the network header (i.e., IP header) is 4-byte aligned OR the platform can handle unaligned access. This is the case for all packets coming into netif_receive_skb or similar entry points.

COPYRIGHT